List an agent tasks
curl --request GET \
--url https://{command_center_host}/api/v1/agents/{id}/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/agents/{id}/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/agents/{id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "tsk_2b7c1d4e-...",
"description": "<string>",
"status": "completed",
"execution_mode": "investigate",
"job_id": "<string>",
"archived": true,
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z"
}
],
"has_more": true,
"total_count": 123
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Agents
List an agent tasks
Live tasks by default; archived=true for the archived list. status filters the archived list only.
GET
/
api
/
v1
/
agents
/
{id}
/
tasks
List an agent tasks
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Path Parameters
Query Parameters
archived
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
default:false
Available options:
true ⌘I

